#pragma once

#include <ArmarXCore/core/PackagePath.h>

#include <IceUtil/Time.h>

#include <RobotAPI/libraries/aron/common/aron/PackagePath.aron.generated.h>

namespace armarx
{
    void fromAron(const arondto::PackagePath& dto, PackagePath& bo);
    void toAron(arondto::PackagePath& dto, const PackagePath& bo);

    void fromAron(const long& dto, IceUtil::Time& bo);
    void toAron(long& dto, const IceUtil::Time& bo);

}  // namespace armarx
