#pragma once

#include <Eigen/Geometry>

namespace armarx::aron
{
    using AronPose = Eigen::Matrix<float, 4, 4>;

    void fromAron(const AronPose& dto, Eigen::Affine3f& bo);
    void toAron(AronPose& dto, const Eigen::Affine3f& bo);

}  // namespace armarx
